Tutorial :ASP.NET MVC 2 Preview/Beta Visual Studio Questions



Question:

ASP.NET MVC 2 Beta was just released and I'm a bit confused as to what is required to run it.

Does it require .NET 4?

If I have an App that was created using Visual Studio 2010 Beta 2, can I port it to ASP.NET MVC 2 Beta by referencing the proper DLLs? If so what DLLs do I need?

Can I run ASP.NET MVC Beta 2 on .NET 4 ready hosting server (with ASP.NET MVC 2 Beta installed)?

In this comment by Phil Haack, he offers instructions on how to run "ASP.NET MVC 2 on VS2008 side by side with VS2010". If I do this setup, would I be able to run an ASP.NET MVC 2 Beta with VS 2010 Beta 2 but without the tools?


Solution:1

http://www.microsoft.com/downloads/details.aspx?FamilyID=4817cdb2-88ea-4af4-a455-f06b4c90fd2c&displaylang=en

If you read through the download page, you can see only .NET Framework 3.5 SP1 is necessary. So .NET Framework 4 is not required.


Solution:2

This should help: http://www.hanselman.com/blog/CheesyASPNETMVCProjectUpgraderForVisualStudio2010Beta1.aspx

Update

I misread the question. Based on this post by Phil Haack, it appears you can't migrate from VS 2010 Beta 2 to ASP.NET MVC 2 Beta:

Unfortunately, because Visual Studio 2010 Beta 2 and ASP.NET MVC 2 Beta share components which are currently not in sync, running ASP.NET MVC 2 Beta on VS10 Beta 2 is not supported.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »